      /* ------------------------CZĘŚĆ-GÓRNA-MENU------------------------ */

      /* wygląd głównego elementu - ol */
      ol {
        list-style-type:none;
        padding:0;
        margin:0;
        font-family:Oswald;
        font-size:18px;
        height:2em;
        line-height:2em;
        text-align:center;
		 z-index:12;
      }

      /* wygląd wszystkich elementów - a - znajdujących się w elemencie - ol */
      ol a {
        display:block;
        text-decoration:none;
		width:167px;
		margin:0px;
		border:1px ridge red;
		background-color:green;
		border-radius:25px;
		color:white;
		padding:12px;
		padding-top:3px;
		font-size:18px;
		font-family:Oswald;
         z-index:12;
      }

      /* wygląd elementów - li - wszystkich dzieci elementu - ol */
      ol > li {
        float:left;
        width:150px;
        margin-left:52px;
       z-index:12;

      }

      /* wygląd elementu - li - pierwszego dziecka elementu - ol */
      ol > li:first-child {
        margin-left:0;
	z-index:12;
      }

      /* wygląd elementów - li - wszystkich dzieci elementu - ol - po najechaniu kursorem myszki na element - li */
      ol > li:hover {
    z-index:12;
      }

      /* wygląd elementu - a - dziecka elementu - li - będącego dzieckiem elementu - ol - po najechaniu kursorem myszki na element - li */
      ol > li:hover > a {
z-index:12;
      }

      /* wygląd elementu - ul - dziecka elementu - li - będącego dzieckiem elementu - ol - po najechaniu kursorem myszki na element - li */
      ol > li:hover > ul {
        display:block;
		z-index:12;
      }

      /* ------------------------CZĘŚĆ-ROZWIJANA-MENU------------------------ */

      /* wygląd głównych rozwijanych elementów - ul */
      ol > li > ul {
        display:none;
        list-style-type:none;
        padding:0;
        margin:0;
	z-index:12;
      }

      /* wygląd elementu - li - w części rozwijanej */
      ol > li > ul > li {
        position:relative;
		z-index:12;
      }

      /* wygląd elementu - a - w części rozwijanej */
      ol > li > ul > li > a {
z-index:12;
	}

      /* wygląd elementu - li - w części rozwijanej, po najechaniu kursorem myszki na dany element - li */
      ol > li > ul > li:hover {
z-index:12;
      }

      /* wygląd elementu - a - w części rozwijanej, po najechaniu kursorem myszki na element - li */
      ol > li > ul > li:hover > a {

		margin:0px;
		z-index:12;
		
	background-color: gold;width:150px;
		border-radius:25px;
		color:white;
		padding-top:0px;
		font-size:18px;
		font-family:Oswald;
  animation-name: example;
  animation-duration: 0.5s;    
         color:black;
      }

@keyframes example {
   from {transform: rotate(180deg);background-color: green;}
  to {background-color: gold;width:150px;}
}